Ubuntu

no support for realtek rtl8187se

Reported by Alex French on 2008-07-07
206
This bug affects 18 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned
Declined for Dapper by Loïc Minier
Declined for Gutsy by Loïc Minier
Declined for Hardy by Steve Langasek
Declined for Intrepid by Steve Langasek
Declined for Jaunty by Steve Langasek
linux-meta (Ubuntu)
Undecided
Unassigned
Declined for Dapper by Loïc Minier
Declined for Gutsy by Loïc Minier
Declined for Hardy by Steve Langasek
Declined for Intrepid by Steve Langasek
Declined for Jaunty by Steve Langasek

Bug Description

The RTL8187SE is a miniPCI version of the Realtek 8187 wireless chipset. Until recently, it had no linux driver. A user on the msiwind.net forums emailed realtek about this, and they received a driver that was not listed on their site. The driver didn't compile for the 2.6.24 kernel included in ubuntu hardy, but after I made some modifications, it compiles and is reported to work.

I have attached the driver from realtek. I will attach a patch in the next post.

Alex French (grackle) wrote :
Alex French (grackle) wrote :

Here's the patch.

Matthew (tigger-outgun) wrote :

I can confirm that the compiled module from Alex works on an MSI Wind using WPA Personal and a WRT54GL router loaded with DD-WRT.

Hmm. Some users reported instability with WPA. How long have you been using
it?

Also, Realtek released a new driver, but I haven't been able to download it
yet. If someone has it and can upload it, I'd appreciate it.
-Alex

On Mon, Jul 14, 2008 at 8:50 AM, Matthew <email address hidden> wrote:

> I can confirm that the compiled module from Alex works on an MSI Wind
> using WPA Personal and a WRT54GL router loaded with DD-WRT.
>

On my Advent 4211 (rebadged MSI Wind, same hardware) I have had trouble connected to a WPA Enterprise network with the driver above. It discovers the network and begins connecting, but the DHCP request times out (could just be a problem with the server details) and after that the whole system is broken. I can't kill processes, new windows don't open and so on. Nothing obvious appears in the kernel logs indicating what's wrong. I have to forcefully power-off the machine to recover it. I did previously manage to connect to a WPA personal network with the same setup, without any such problems.

Matthew (tigger-outgun) wrote :

Alex,

WPA Personal was working fine for a fair while. Just now I am starting to see instabilities. It gets to a point where networkmanager hangs and I am forced to reboot.

I'm just searching for the new driver from Realtek now.

Matt

Matthew (tigger-outgun) wrote :

I just found this file uploaded on mediafire. Looks to be the later release. Attempting to compile now.

Matthew (tigger-outgun) wrote :

The new driver compiled fine, with no patches or environment variables set. The release notes specifically mention Ubuntu Hardy. I'm not sure if they took Alex's patch, applied it and released a new version, or if they did more.

I'm using the new modules now, seeing how long they're stable for.

Matthew (tigger-outgun) wrote :

Nope, it looks like the new version isn't just a patch job using Alex's patch. Attached is a diff of the new and old TKIP cryptography module, it doesn't match Alex's patch at all.

bobange (bbontoux) wrote :

I don't know if I post on the right forum, but I have an error make compiling the new (and the old) drivers.

scripts/Makefile.build:46: *** CFLAGS was changed in "/home/boris/rtl8187se_linux_26.1012.0331.2008/ieee80211/Makefile". Fix it to use EXTRA_CFLAGS. Arrêt.

If someone can help me ?

semon (simon-renard) wrote :

the new driver compiled fine for me. And it seems to work, i'll have to test it with WPA later today...

Matthew (tigger-outgun) wrote :

Well, the new drivers don't seem to be causing system crashes, which is good. They do, however, cause the wireless connection to drop out every now and then, requiring a restart. I get messages in dmesg similar to:
[ 307.961018] rtl8180: WW:No more TX desc, returning 33 of 33

The good news is, I have received a further updated driver directly from Realtek. I'll compile this one and see how it goes.

Matthew (tigger-outgun) wrote :

Once again, the drivers compiled fine, without any hacks. I've loaded them up and connected to my WPA secured network. Hopefully no dropouts this time.

Alex French (grackle) wrote :

Good to hear that they're continuing to work on it. I'll be curious to know
how well it works, as I don't have a realtek card in my wind anymore.

On Wed, Jul 16, 2008 at 5:03 PM, Matthew <email address hidden> wrote:

> Once again, the drivers compiled fine, without any hacks. I've loaded
> them up and connected to my WPA secured network. Hopefully no dropouts
> this time.
>
> --
> no support for realtek rtl8187se
> https://bugs.launchpad.net/bugs/246141
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "linux-meta" source package in Ubuntu: New
>
> Bug description:
> The RTL8187SE is a miniPCI version of the Realtek 8187 wireless chipset.
> Until recently, it had no linux driver. A user on the msiwind.net forums
> emailed realtek about this, and they received a GPL'd driver that was not
> listed on their site. The driver didn't compile for the 2.6.24 kernel
> included in ubuntu hardy, but after I made some modifications, it compiles
> and is reported to work.
>
> I have attached the driver from realtek. I will attach a patch in the next
> post.
>

bobange (bbontoux) wrote :

Hi,

I have to comment some lines in /usr/src/linux-headers-2.6.24-19-generic/scripts/Makefile.build to avoid the CFAGS error.

Now, I have a huge number of warnings and my last lines of ./makedrv are

WARNING: "ieee80211_reset_queue" [/home/boris/rtl8187se_linux_26.1012.0331.2008/rtl8185/r8180.ko] undefined!
WARNING: "ieee80211_wx_set_mlme" [/home/boris/rtl8187se_linux_26.1012.0331.2008/rtl8185/r8180.ko] undefined!
WARNING: "ieee80211_disassociate_rtl" [/home/boris/rtl8187se_linux_26.1012.0331.2008/rtl8185/r8180.ko] undefined!
WARNING: "ieee80211_wx_set_essid_rtl" [/home/boris/rtl8187se_linux_26.1012.0331.2008/rtl8185/r8180.ko] undefined!
WARNING: "ieee80211_start_protocol_rtl" [/home/boris/rtl8187se_linux_26.1012.0331.2008/rtl8185/r8180.ko] undefined!
  CC /home/boris/rtl8187se_linux_26.1012.0331.2008/rtl8185/r8180.mod.o
  LD [M] /home/boris/rtl8187se_linux_26.1012.0331.2008/rtl8185/r8180.ko
make[1]: quittant le répertoire « /usr/src/linux-headers-2.6.24-19-generic »

I don't understand ...

Kyle Brandt (kyle-kbrandt) wrote :

Matthew:

Is ...

http://launchpadlibrarian.net/16098501/rtl8187se_linux_26.1016.0716.2008.tar.gz

... the most current driver you have? If not can you post the most current, happy to help test!

-Kyle

Matthew (tigger-outgun) wrote :

Hi Kyle,

It most certainly is. The last 8 digits correspond to the date the driver was released, "0716.2008" meaning the 16th of July, 2008 - 2 days ago :)

The good news is that I haven't had a single problem with this new driver. No dropouts, or lockups. Realtek seem to be fairly heavily developing this driver, which is fantastic to see!

Matt

Kyle Brandt (kyle-kbrandt) wrote :

Hi Matt,

Thanks for the reply. I haven't had quite that luck. It does drop out for me after a while. Next time it happens I will see if dmesg has any useful info and post it.

-Kyle

Using the latest drivers on this thread (16th July) I initially managed to connect to a WPA Enterprise network, but ever since then I haven't managed it again. The authentication box keeps popping up over and over again, but I can connect to the same network from the same machine with what I believe are all the same settings in Windows. How can I get some useful debug output to work out what's going on?

Julien Pecqueur (pecqueur.jp) wrote :

Hi,

First i apologize for my bad english...

I have the same problem and i have to run ./wlan0up at every boot for activating wireless because if i depmod & modprobe the compiled driver i can't connect a wpa network AFTER rebooting.

Do you think this card will be supported by the next kernel? if not, i will think about buying a linux compatible one and replace it on my wind...

Regards,

Julien

pablo.t89 (pablo.t89) wrote :

Hi Julien,

Couldn't you just add "wlan0up" (or, more likely, some necessary extract from it) to your /erc/rc.local? I'm very much interested in getting MSI Wind, so this matter is interesting for me (however I still don't have this card to test it).

- Pawel

Julien Pecqueur (pecqueur.jp) wrote :

Hi Pablo,

I made a little script to launch ./wlan0up when i push a button i had place on the desktop. I will add it in the session startup

"System/Preferences/Sessions/" Add Program...

The wifi card works well like that!

I hope that the driver will be incorpored in the next kernel ;)

Don't make scripts, just copy the relevent files to the relevent folders after compiling and you'll have it working without any silly scripts.

Copy *.ko from both rtl8187se_linux_26.1016.0716.2008/ieee80211/ and rtl8187se_linux_26.1016.0716.2008/rtl8185/ into /lib/modules/2.6.24-19-generic/kernel/drivers/net/wireless/ . Then run sudo depmod and sudo modprobe r8180.

That said, I just ordered an Intel 4965AGN module for the Wind to have reliable networking, better range and speed.

Julien Pecqueur (pecqueur.jp) wrote :

Tomasz,

If i follow your instruction, when i reboot, i can't connect my WPA network :( that is the reason why i do ./wlan0up at startup...

And after wifi works well!

Julien

pablo.t89 (pablo.t89) wrote :

Funny issue. So definitely, this driver is not mature enough for the official kernel :-). But, after Julien's trick - does it begin to work correctly?

Tomasz: Do you mean that the default module is slow/has a poor range?

Julien Pecqueur (pecqueur.jp) wrote :

It works nice :

ath0 802.11b/g linked ESSID:"Livebox-peck"
          Mode:Managed Frequency=2.457 GHz Access Point: 00:1A:6B:C3:04:B8
          Bit Rate=54 Mb/s
          Retry:on RTS thr:off Fragment thr:off
          Power Management timeout:0us mode:All packets received
          Link Quality=97/100 Signal level=-156 dBm Noise level=3 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

No deconnection - Full speed - WPA-TKIP

@Julien

That's strange, I'm connected to my home WPA network with no problems using my "method".

@pablo

Yes to both. I'm currently transferring a lot of data from my bigger laptop to the Wind and the speed is about 1MB/s. My bigger laptop has the 4965AGN Intel card and the access point is an ASUS WL500W.

That said, I've transferred over 10GB already at this speed without any stability/reliability issues.

The range is also not very good. 4965AGN sees 8 available networks, the Realtek only 4 (when placed in the same spot).

This is why the best thing I can do to get as much range and speed is to get the Intel card for the Wind as well. I ordered it for 25 EUR (38 USD), new.

Doing as Julien suggested (deleting the modules in /lib/...) and using the wlan0up script (which would seem to have the same effect, since it just uses insmod and ifconfig), my wireless network then connected first time (using WPA Enterprise). Perhaps it is something to do with the boot sequence -- wireless must come last?

pablo.t89 (pablo.t89) wrote :

If so, then '/etc/rc.local' seems to be a nice place...

Julien Pecqueur (pecqueur.jp) wrote :

Hi,

I modified my /etc/rc.local :

#!/bin/sh -e
#
# rc.local
#
# This script is executed at the end of each multiuser runlevel.
# Make sure that the script will "exit 0" on success or any other
# value on error.
#
# In order to enable or disable this script just change the execution
# bits.
#
# By default this script does nothing.

/home/julien/Drivers/Wifi/start_wifi_rc

exit 0
# End of rc.local

and i made a little different start_wifi_rc script (attachement) and now my wifi is on at startup :)

everything is perfect !!!

thank you guys!

julien

Angelos Kyriazis (angelos-ks) wrote :

hi, I have the ahtec lug netbook, which uses the realtek 8187 wireless card.
After installing the rtl8187se_linux_26.1016.0716.2008 driver, the wireless network appears in the network settings, but it doesn't detect any networks.

I'd like to retract my previous comment... I haven't had any luck again since the first few times it worked. My wireless doesn't connect to a WPA Enterprise network regardless of when I run the wlan0up script etc, but in Windows on the same machine it works fine. Added to that, my wired networking seems a bit flaky with regards to DHCP - sometimes it can't allocate an address. I'm happy to try to give more debug information if someone can point out the right flag to enable.

Mine "works". Only problems is that I have a ping of 4000ms on the lan :| Any suggestions?

John Markh (john.markh) wrote :

I have complied a latest version of the drivers (posted by Kyle Brandt) without any problems at all (just couple of warning messages). The network is stable for a while until I start getting:
Aug 19 07:53:58 Ubuntu-laptop kernel: [39714.411945] rtl8180: WW:No more TX desc, returning 1e of 1e
and/or
Aug 19 07:55:38 Ubuntu-laptop kernel: [39814.299579] rtl8180: WW:No more TX desc, returning 2f of 2f
...
and the only way out of this is reboot. Does any one solve this issue?

I use WPA key, but have this in the kernel log:
Aug 19 08:27:19 Ubuntu-laptop kernel: [ 147.736456] rtl8180: Setting SW wep key

It turns out none of my troubles were related to the driver. I'm currently typing this on my Msi Wind using the latest driver with a WPA connection. As far as I can tell it works 100% and would really like to see it included in Intrepid.

Tito (tito-webtito) wrote :

I've upgraded from 1012 to 1016 revision of your driver and since that my /var/log/messages is flooded with lines like this :
Aug 25 02:44:56 stormywind kernel: [ 107.906380] too short to sleep
Aug 25 02:44:56 stormywind kernel: [ 108.059743] too short to sleep
...

Any idea? I'll try to disable power management...

Tito (tito-webtito) wrote :

I tried to do
$ sudo iwconfig wlan0 power off
But my /var/log/messages is always flooded. None other power command seems to work with this driver

Oguz Yarimtepe (oguzy) wrote :

I have the same card but my system is lpia. I am using netbook remix on an atom based laptop and tried to compile the latest driver. Compilation were succesfull although i got some warnings but there was no wireless card detection after the module installation. I rebooted the system and nothing change. Here is the compiling output. I wonder whether this is because of the lpia compatibility or not of the driver.

Goldenear (goldenear) wrote :

The latest driver seems to work for me (on msi wind) , except that the connection is dropped some times and I have to unload, reload the module to get it work again... But this doesn't happen very often, only when the computer stay on for a long time.
Also I've fount that this driver has the same multicast bug as explained here :
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/258882

I can't use avahi until it's fixed :(

Oguz Yarimtepe (oguzy) wrote :

After trying a bit i managed to compile the driver and load the modules. Copied the .ko files and add the modules to the/etc/modules file. At the start of the desktop, wireless adapter tried to connect to the mac authenticated wireless network, got an ip, but after a while th connection is dropped. When i tried to scan via iwlist i couldn't see any networks around. So it seems the latest driver has problems. Any soultion to this dropping problem?

Changed in linux-meta:
importance: Undecided → High
milestone: none → intrepid-alpha-6
status: New → Confirmed
description: updated
Steve Langasek (vorlon) on 2008-10-15
Changed in linux-meta:
status: New → Invalid
123 comments hidden view all 203 comments
Adam McDaniel (adamrmcd) wrote :

Interesting. Note the staging directory though. I think that this is a preliminary step before full support is available.

I'm curious to see how the linux kernel will merge the rtl8187se's ieee80211 stack with the existing kernel's stack.

I attempted such a merge once, but found that the rtl8187se's code relied on non-standard ieee80211 code (hence the alternative stack) and I was really uninterested in rewriting the entire driver to make it work. :T

boskicinek (boski-cinek) wrote :

Any chance to have this driver by default in Jaunty? It looks like nothing happens in this bugreport and it's strange, because from what I've heard Ubuntu team wants to focus on netbook market. Well, supporting this WLAN NIC is necessary to provide support for really many netbooks users.

warmrobot (imfrolov) wrote :

Yeah, that's very strange. And as I can see, today is FeatureFreeze day in Jaunty schedule. :-(
Before each update I have to check this(http://forums.msiwind.net/debian/rtl8187se-drivers-for-ubuntu-and-deb-packages-t4954.html) page for driver update. Good news that it is updated without delay. :-)

Jeffrey Seguerra (jepong) wrote :

I already upgraded to Kubuntu Jaunty Alpha 4 with linux kernel 2.6.28 and wireless is not yet detected out of the box. Does anyone have a compiled.deb for this?

David Rando (david-rando) wrote :

Well, my comment is not very useful (maybe a bit) but this card works terrible. What i've done is remove it from the laptop and buy a brand new intel 3945 for 20$ on ebay. Problem resolved. Ubuntu loads it out of the box and works great.

The source is available in Jaunty as rtl8187se-source
just need to create a module via module-assistant

Yannick Defais (sevmek) wrote :

You can use those commands:

sudo aptitude install rtl8187se-source
sudo m-a auto-install rtl8187se

boskicinek (boski-cinek) wrote :

Hi, I got another driver release from Realtek. See attachment and check my homepage (http://boskastrona.ovh.org) for Intrepid package and additional info.

Jeffrey Seguerra (jepong) wrote :

@Dax and Yannick

You tip works great! Thanks

Jeffrey Seguerra (jepong) wrote :

upgraded to kubuntu jaunty alpha 6 on my msi wind... wireless is already detected but I haven't tried to hook it up with a wifi device. anyone experience this as well?

In Ubuntu 9.04 alpha 6 it works out of the box even with WPA/WPA2. (MSI Wind U100)

Jeffrey Seguerra (jepong) wrote :

Kubuntu 9.04 beta. Wireless detected but I cannot connect to a unsecured wifi hotspot.

Jostein Topland (topland) wrote :

The latest drivers works perfectly fine with MSI Wind.
Though with Slackware, and possibly other GNU/Linux distros, DNS servers might be set up incorrectly. This is noticeable when opening websites with Firefox, and the status message says "Looking up..." for a loooong and painful time (~2min) when it ought to take less than a second.
To fix this edit /etc/resolve.conf(as root) and type the correct DNS server. You will get even more speed typing the DNS server from you ISP(not 192.168.0.1 or 10.0.0.1, typically). Log in to your router to find this DNS address. My /etc/resolve.conf has only one line: "nameserver 84.208.20.110". This is for Get in Norway.
Also, some programs edit this file when receiving new IP. In Slackware, dhclient does this. There is probably a command for the program for not letting it change the /etc/resolve.conf, or maybe you can set it to read-only. So watch out for that.

Jostein

jtniehof (jtniehof) wrote :

The stock kernel on Jaunty works fine for me on my Eee 900HD. Kernel 2.6.28-11.41. lspci -v gives "RTL8187SE Wireless LAN Controller (rev 22)" and "Kernel driver in use: rtl8180" "Kernel modules: rtl8187se"

Connected with unsecured, WPA2-PSK, and WPA2 802.1x, as well as vpnc on top of a wireless connection.

Bryan Wu (cooloney) wrote :

Hi all,

It seems that I am pretty new for this issue. But from a point view of Ubuntu kernel team, we prefer to encourage Realtek or people like you guys to merge the driver to upstream mainline. It is much easier for us maintain the driver. And It looks like Jaunty kernel works fine for you guys. If you can confirm that, I plan to set the status of this issue to "Fixed in release".

Thanks
-Bryan

boskicinek (boski-cinek) wrote :

Yes, it works out of the box, but they still give us some problems (especially after waking up from suspend and after longer period of time).

Bryan Wu (cooloney) wrote :

Great. I found the rtl8187se driver is in stage tree of Jaunty kernel. And also it requires too many changes to ieee80211 stack. So there is no reason for us to back port this big change to Hardy and Intrepid. Please use Jaunty. If you guys find any new issue about Jaunty, please fire new bug.

-Bryan

Bryan Wu (cooloney) on 2009-04-28
Changed in linux (Ubuntu):
status: Confirmed → Fix Released

Just upgraded to Jaunty. It doesn't work for me. :(

dmesg indicates that the card has been detected and drivers have been loaded successfully, but I can neither see the WPA2 Personal network that I have here, nor connect to it by name. This was working until the upgrade; three other machines here continue to work with that network.

Running `sudo iwlist wlan0 scan` returns immediately with no results.

boskicinek (boski-cinek) wrote :

Kiran Jonnalagadda wrote:
> Just upgraded to Jaunty. It doesn't work for me. :(
>
> dmesg indicates that the card has been detected and drivers have been
> loaded successfully, but I can neither see the WPA2 Personal network
> that I have here, nor connect to it by name. This was working until the
> upgrade; three other machines here continue to work with that network.
>
> Running `sudo iwlist wlan0 scan` returns immediately with no results.

Well, this was happening from time to time also on intrepid and hardy.
Just power off your computer for a while (a minute or so) and try again.

--
Greets, BeCe
(http://boskastrona.ovh.org)

Jostein Topland (topland) wrote :

Kiran: Did you try 'sudo ifconfig wlan0 up', or whatever your wlan device is.

On Thu, Apr 30, 2009 at 8:16 AM, Kiran Jonnalagadda <email address hidden> wrote:
> Just upgraded to Jaunty. It doesn't work for me. :(
>
> dmesg indicates that the card has been detected and drivers have been
> loaded successfully, but I can neither see the WPA2 Personal network
> that I have here, nor connect to it by name. This was working until the
> upgrade; three other machines here continue to work with that network.
>
> Running `sudo iwlist wlan0 scan` returns immediately with no results.
>
> --
> no support for realtek rtl8187se
> https://bugs.launchpad.net/bugs/246141
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” source package in Ubuntu: Fix Released
> Status in “linux-meta” source package in Ubuntu: Invalid
>
> Bug description:
> The RTL8187SE is a miniPCI version of the Realtek 8187 wireless chipset. Until recently, it had no linux driver. A user on the msiwind.net forums emailed realtek about this, and they received a driver that was not listed on their site. The driver didn't compile for the 2.6.24 kernel included in ubuntu hardy, but after I made some modifications, it compiles and is reported to work.
>
> I have attached the driver from realtek. I will attach a patch in the next post.
>

Jostein: yes. the interface is up and dmesg says everything is fine, but network manager and iwscan can't find or join any wireless networks. Taking boskicinek's suggestion to try powering off for a while...

Jostein Topland (topland) wrote :

Kiran: if your compute is a laptop, do you have a Fn+F[1-12] function
for enabling the wireless network interface?

On Thu, Apr 30, 2009 at 11:41 AM, Kiran Jonnalagadda <email address hidden> wrote:
> Jostein: yes. the interface is up and dmesg says everything is fine, but
> network manager and iwscan can't find or join any wireless networks.
> Taking boskicinek's suggestion to try powering off for a while...
>
> --
> no support for realtek rtl8187se
> https://bugs.launchpad.net/bugs/246141
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” source package in Ubuntu: Fix Released
> Status in “linux-meta” source package in Ubuntu: Invalid
>
> Bug description:
> The RTL8187SE is a miniPCI version of the Realtek 8187 wireless chipset. Until recently, it had no linux driver. A user on the msiwind.net forums emailed realtek about this, and they received a driver that was not listed on their site. The driver didn't compile for the 2.6.24 kernel included in ubuntu hardy, but after I made some modifications, it compiles and is reported to work.
>
> I have attached the driver from realtek. I will attach a patch in the next post.
>

Jostein: I left my machine powered off for about an hour, tried again, and now it's working. Guess that fixes it for me.

However, it seems like multicast is still not supported with this driver, because Avahi's mdns-scan still can't find any services not running on localhost.

mf (mat-fletcher) wrote :

just wondering where the fix is? i'm still getting the dropout problem on ubuntu 9.10. does not seem to be fixed to me or have i missed something?

mf (mat-fletcher) on 2009-11-11
Changed in linux (Ubuntu):
status: Fix Released → Incomplete
joanna (jnnjaros) wrote :

I have the same problem on MSI WInd U100 as mf. Where can I find the fix?

mf (mat-fletcher) wrote :

i have a new driver from realtek. It is not perfect and the bug is still
present but it is not quite as serious as the stock kernel module.

In short i have less timeouts on the newer driver.

You can get it by emailing realtek support and they will email the source to
you, or i can post it somewhere for you

On Fri, Dec 18, 2009 at 1:34 PM, joanna <email address hidden> wrote:

> I have the same problem on MSI WInd U100 as mf. Where can I find the
> fix?
>
> --
> no support for realtek rtl8187se
> https://bugs.launchpad.net/bugs/246141
> You received this bug notification because you are a direct subscriber
> of the bug.
>

mf (mat-fletcher) wrote :

I contacted Realtek by email since nobody answered this bugtrack thread, whats the point in encouraging people to post here if nobody answers?

Anyway, they were fairly helpful and emailed me this driver to compile on Karmic, It works, i still get drop outs but it is not as bad as the stock driver. This is a better driver. I have found that it helps a lot to keep your connection alive by setting off a ping to somewhere (your router) and leaving it pinging all the time as a sort of crude keep alive.

i hope this helps

LG Marcondes (lgmarcondes) wrote :

Hi,

I'm using openSuse 11.2 and my drop out problems stops when I run the
following script:

>
> while [ 1 ]; do
    VALUE=`iwconfig wlan0 | grep -o "Bit Rate=54 Mb/s" | wc -l`
    if [ "$VALUE" -ne "1" ]; then
        echo "iwconfig wlan0 rate 54M"
        iwconfig wlan0 rate 54M
        sleep 10
    fi
done

>
>
It checks the result of the command iwconfig wlan0 and see if the bit rate
is low, if so sets to 54M. After 10 seconds it checks again.

I hope it could help someone...

---
Luiz Gustavo

On Sat, Dec 19, 2009 at 8:21 AM, mf <email address hidden> wrote:

> I contacted Realtek by email since nobody answered this bugtrack thread,
> whats the point in encouraging people to post here if nobody answers?
>
> Anyway, they were fairly helpful and emailed me this driver to compile
> on Karmic, It works, i still get drop outs but it is not as bad as the
> stock driver. This is a better driver. I have found that it helps a
> lot to keep your connection alive by setting off a ping to somewhere
> (your router) and leaving it pinging all the time as a sort of crude
> keep alive.
>
> i hope this helps
>
> ** Attachment added: "Better driver supplied by Realtek by email"
>
> http://launchpadlibrarian.net/36967697/rtl8187se_linux_26.1030.1201.2009.release.tar.gz
>
> --
> no support for realtek rtl8187se
> https://bugs.launchpad.net/bugs/246141
> You received this bug notification because you are a direct subscriber
> of the bug.
>

My netbook uses rtl8187se and was automatically detected in ubuntu 10.04 beta1.
Unfortunately I'm also seeing that instability with WPA, but that's a different issue.
I think this bug can be closed.

mf (mat-fletcher) wrote :

it's still a bug until they fix it. It's not an ubuntu problem anyway, it's
realtek.

On Sat, Apr 10, 2010 at 5:26 AM, Pablo Castellano <email address hidden>wrote:

> My netbook uses rtl8187se and was automatically detected in ubuntu 10.04
> beta1.
> Unfortunately I'm also seeing that instability with WPA, but that's a
> different issue.
> I think this bug can be closed.
>
> --
> no support for realtek rtl8187se
> https://bugs.launchpad.net/bugs/246141
> You received this bug notification because you are a direct subscriber
> of the bug.
>

@mf:
No, taking the bug title as reference:
It claims that there's "no support for realtek rtl8187se", which was true in the past. But I'm writing this answer from my netbook, using ubuntu and the rtl8187se driver.
A new bugreport should be opened

mf (mat-fletcher) wrote :

well ok, since you put it like that.

There has been partial support since 8.04. I think it's the same driver.
the problem is getting realtek to ackowledge that this is a bug - which they
do not., They will send you new drivers but they all have the same problem
where the 'rate' drops to 1Mpbs. The only way to use this driver is to use
a script to reset the rate to 54Mbps every 3 seconds. Not perfect but it
does allow you to use the driver.

On Sun, Apr 11, 2010 at 7:05 AM, Pablo Castellano <email address hidden>wrote:

> @mf:
> No, taking the bug title as reference:
> It claims that there's "no support for realtek rtl8187se", which was true
> in the past. But I'm writing this answer from my netbook, using ubuntu and
> the rtl8187se driver.
> A new bugreport should be opened
>
> --
> no support for realtek rtl8187se
> https://bugs.launchpad.net/bugs/246141
> You received this bug notification because you are a direct subscriber
> of the bug.
>

 From my experience with realtek with another sound driver, I wouldn't
expect their answer.

BTW, I have tried with ndiswrapper and winxp drivers and it works like a
charm. No more disconnections :)

On 11/04/10 16:32, mf wrote:
> well ok, since you put it like that.
>
> There has been partial support since 8.04. I think it's the same driver.
> the problem is getting realtek to ackowledge that this is a bug - which they
> do not., They will send you new drivers but they all have the same problem
> where the 'rate' drops to 1Mpbs. The only way to use this driver is to use
> a script to reset the rate to 54Mbps every 3 seconds. Not perfect but it
> does allow you to use the driver.
>
>
> On Sun, Apr 11, 2010 at 7:05 AM, Pablo Castellano
> <email address hidden>wrote:
>
>
>> @mf:
>> No, taking the bug title as reference:
>> It claims that there's "no support for realtek rtl8187se", which was true
>> in the past. But I'm writing this answer from my netbook, using ubuntu and
>> the rtl8187se driver.
>> A new bugreport should be opened
>>
>> --
>> no support for realtek rtl8187se
>> https://bugs.launchpad.net/bugs/246141
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>>
>

mf (mat-fletcher) wrote :

with a steady 54Mbps?

i never got disconnections, just a drop in throughput that made it unusable

your right about realtek, they seem very uninterested at best.
On Sun, Apr 11, 2010 at 2:18 PM, Pablo Castellano <email address hidden>wrote:

> From my experience with realtek with another sound driver, I wouldn't
> expect their answer.
>
> BTW, I have tried with ndiswrapper and winxp drivers and it works like a
> charm. No more disconnections :)
>
> On 11/04/10 16:32, mf wrote:
> > well ok, since you put it like that.
> >
> > There has been partial support since 8.04. I think it's the same driver.
> > the problem is getting realtek to ackowledge that this is a bug - which
> they
> > do not., They will send you new drivers but they all have the same
> problem
> > where the 'rate' drops to 1Mpbs. The only way to use this driver is to
> use
> > a script to reset the rate to 54Mbps every 3 seconds. Not perfect but it
> > does allow you to use the driver.
> >
> >
> > On Sun, Apr 11, 2010 at 7:05 AM, Pablo Castellano
> > <email address hidden>wrote:
> >
> >
> >> @mf:
> >> No, taking the bug title as reference:
> >> It claims that there's "no support for realtek rtl8187se", which was
> true
> >> in the past. But I'm writing this answer from my netbook, using ubuntu
> and
> >> the rtl8187se driver.
> >> A new bugreport should be opened
> >>
> >> --
> >> no support for realtek rtl8187se
> >> https://bugs.launchpad.net/bugs/246141
> >> You received this bug notification because you are a direct subscriber
> >> of the bug.
> >>
> >>
> >
>
> --
> no support for realtek rtl8187se
> https://bugs.launchpad.net/bugs/246141
> You received this bug notification because you are a direct subscriber
> of the bug.
>

On 12/04/10 00:16, mf wrote:
> with a steady 54Mbps?
>
> i never got disconnections, just a drop in throughput that made it
> unusable
>
> your right about realtek, they seem very uninterested at best.

Yes, that's what I meant, drop in throughput. And yes, 54Mbps, try it.

http://pablogubuntu.blogspot.com/2010/04/rtl8187se-y-realtek.html
(I don't know if it's ok to leave links here in launchpad, sorry if it's
not)

mf (mat-fletcher) wrote :

Thanks for the link Pablo, i dual boot with windows7 on my netbook and have
found that the range on the windows driver is much better, i can get a much
better signal than on ubuntu.

I'll try ndiswrapper maybe but the last time i did it borked my system.

Muchos Gracias amigo

On Mon, Apr 12, 2010 at 6:57 AM, Pablo Castellano <email address hidden>wrote:

> On 12/04/10 00:16, mf wrote:
> > with a steady 54Mbps?
> >
> > i never got disconnections, just a drop in throughput that made it
> > unusable
> >
> > your right about realtek, they seem very uninterested at best.
>
> Yes, that's what I meant, drop in throughput. And yes, 54Mbps, try it.
>
> http://pablogubuntu.blogspot.com/2010/04/rtl8187se-y-realtek.html
> (I don't know if it's ok to leave links here in launchpad, sorry if it's
> not)
>
> --
> no support for realtek rtl8187se
> https://bugs.launchpad.net/bugs/246141
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Hans Henrik (hanshenrik123) wrote :

as posted previously, ubuntu does got support for RTL8187SE now, so this bug report should be closed.
However, due to the bugs (https://bugs.launchpad.net/ubuntu/+source/rtl8187se/+bugs?field.status:list=NEW), RTL8187SE is basically useless on ubuntu, primarily due to https://bugs.launchpad.net/ubuntu/+source/rtl8187se/+bug/416488
(i nearly have to sit on top of the router to get connection.. >.<)

Changed in linux (Ubuntu):
status: Incomplete → Fix Released

I have opened a bugreport in the kernel bugzilla. Follow it here:
https://bugzilla.kernel.org/show_bug.cgi?id=15932

Alex French (grackle) wrote :

­­ ­­­­­­­ ­­­­­*Your gi­­­­­rl_frie­­­­­­­nd w­­­i­­­ll f­­­­eel
t­­­­­­­he eff_ect­­*_<http://deivery-deliveyr4succeproudcts.vv.cc/752s4k.pl>­­­.
­­.

.

jno (jnoster) wrote :

Looks like something is broken again - just performed a routine update of 12.10 and have lost wifi connectivity...
Still digging...

Displaying first 40 and last 40 comments. View all 203 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.